Loading...
Searching...
No Matches
MaskArrMath.h File Reference
`#include "Array.h"`
`#include "MaskedArray.h"`
`#include "IPosition.h"`
`#include "MaskArrMath.tcc"`

Go to the source code of this file.

## Classes

struct | casacore::MaskArrMath_global_functions_MaskedArray_mathematical_operations
| More...
class | casacore::MaskedSumFunc< T >
class | casacore::MaskedProductFunc< T >
class | casacore::MaskedMinFunc< T >
class | casacore::MaskedMaxFunc< T >
class | casacore::MaskedMeanFunc< T >
class | casacore::MaskedVarianceFunc< T >
class | casacore::MaskedStddevFunc< T >
class | casacore::MaskedAvdevFunc< T >
class | casacore::MaskedRmsFunc< T >
class | casacore::MaskedMedianFunc< T >
class | casacore::MaskedMadfmFunc< T >

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename T, typename FuncType>
MaskedArray< T > | casacore::boxedArrayMath (const MaskedArray< T > &array, const IPosition &boxSize, const FuncType &funcObj)
| Apply the given ArrayMath reduction function objects to each box in the array.
template<typename T, typename FuncType>
Array< T > | casacore::slidingArrayMath (const MaskedArray< T > &array, const IPosition &halfBoxSize, const FuncType &funcObj, bool fillEdge=true)
| Apply for each element in the array the given ArrayMath reduction function object to the box around that element.